package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.helper.Caption;

@Entity //@Audited
@Table(name = "PemeriksaanUmum_T")
public class PemeriksaanUmum extends MedicalRecordTransaction {
	
	@Caption(value="TanggalInput")
	@Column(name = "TanggalInput", nullable = false)
	private Date tanggalInput;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPetugas")
	@Caption(value="Dokter Petugas")
	private Pegawai petugas;
	
	@Column(name = "ObjectPetugas", insertable=false,updatable=false)
	private Integer petugasId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value=" Ruangan")
	private Ruangan Ruangan;

	@Column(name = "ObjectRuanganFk", insertable=false,updatable=false)
	private Integer RuanganId;

	@Caption(value="pemeriksaanUmum")
	@Column(name = "pemeriksaanUmum", nullable = false)
	private String pemeriksaanUmum;

	public Date getTanggalInput() {
		return tanggalInput;
	}

	public void setTanggalInput(Date tanggalInput) {
		this.tanggalInput = tanggalInput;
	}

	public Pegawai getPetugas() {
		return petugas;
	}

	public void setPetugas(Pegawai petugas) {
		this.petugas = petugas;
	}

	public Integer getPetugasId() {
		return petugasId;
	}

	public void setPetugasId(Integer petugasId) {
		this.petugasId = petugasId;
	}

	public Ruangan getRuangan() {
		return Ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		Ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return RuanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		RuanganId = ruanganId;
	}

	public String getPemeriksaanUmum() {
		return pemeriksaanUmum;
	}

	public void setPemeriksaanUmum(String pemeriksaanUmum) {
		this.pemeriksaanUmum = pemeriksaanUmum;
	}


}
